Subject: Re: [PATCH] uio: Support 36-bit physical addresses on 32-bit systems

From: "Hans J. Koch" <[email-masked]>
Date: Wed, 12 Oct 2011 18:19:31 +0200

On Wed, Oct 12, 2011 at 05:32:29PM +0200, Hans J. Koch wrote:
> On Wed, Oct 12, 2011 at 09:35:45AM -0500, Kumar Gala wrote:
> > From: Kai Jiang <[email-masked]>
> > 
> > To support >32-bit physical addresses for UIO_MEM_PHYS type we need to
> > extend the width of 'addr' in struct uio_mem.  Numerous platforms like
> > embedded PPC, ARM, and X86 have support for systems with larger physical
> > address than logical.
> > 
> > Since 'addr' may contain a physical, logical, or virtual address the
> > easiest solution is to just change the type to 'unsigned long long'
> > regardless of which type is utilized.
> 
> No. There's phys_addr_t for that purpose, defined in include/linux/types.h.
> Please use that.

I forgot: If you resend this, please update the documentation as well.
(Documentation/DocBook/uio-howto.tmpl)

Thanks,
Hans